QGIS Application - Feature request #10248
One to many relation: allow inserting parent and child in the same form
2014-05-13 05:01 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18685
Description

In autogenerated forms, both parent and child tables are displayed, and data can be inserted in both. However, this is not really working in
practical use cases, because the FK, added by hand to the parent, is not shown on the list of the available ones for child (so the list is
taken from the saved table).

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-02-24 04:17 PM - Paolo Cavallini

- Status changed from Open to Feedback

Apparently usable now.

#3 - 2018-02-24 05:06 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
